
extdesc="the GS3 Fedora (with GSearch) Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if test -z $GSDLOS ; then
  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
  # check for running bash under Cygwin
  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  # check for running bash under MinGW/MSys
  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
  export GSDLOS
fi
	

#if [ "x$FEDORA_HOME" = "x" ] ; then
if [ "x$GEXT_FEDORA" = "x" ] ; then
  export FEDORA_HOME=`pwd`
  export GEXT_FEDORA=$FEDORA_HOME
  export FEDORA_VERSION=3

  export PATH=$FEDORA_HOME/server/bin:$PATH
  export PATH=$FEDORA_HOME/client/bin:$PATH

  extdir=${GEXT_FEDORA##*/}

  if [ "x$GSDL3EXTS" = "x" ] ; then
    export GSDL3EXTS=$extdir
  else 
    export GSDL3EXTS=$GSDL3EXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
